A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
iszero
ArrayFire Functions | ArrayFire Functions by Category » Functions to create and modify Arrays » Helper functions for arrays

## Functions
array | iszero (const array &in)
| C++ Interface to check which values are zero.
af_err | af_iszero (af_array *out, const af_array in)
| C Interface to check if values are zero.

## Detailed Description

Check if values are zero.

## Function Documentation

## ◆ af_iszero()

af_err af_iszero | ( | af_array * | out,
|  | const af_array | in )

C Interface to check if values are zero.

Parameters

  [out] | out | array containing 1's where input is 0; 0's otherwise
  [in] | in | input array

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ iszero()

array iszero | ( | const array & | in | ) |

C++ Interface to check which values are zero.

Parameters

  [in] | in | input

Returns
  array containing 1's where input is 0; 0's otherwise